<?php

declare(strict_types=1);

/**
* This file is licensed under the Affero General Public License version 3 or
* later. See the COPYING file.
*
* @author Fabian Aichele
* @copyright intarsys GmbH 2021
*/

$application = new \OCP\AppFramework\App('signlive');

/** @var \OCA\IntarsysCloudSuiteGearsIntegration\AppInfo\Application $application */
$application = \OC::$server->query(\OCA\IntarsysCloudSuiteGearsIntegration\AppInfo\Application::class);
$application->registerRoutes($this, [
	'routes' => [
		['name' => 'IntarsysSettings#setSignatureServerSettings', 'url' => '/settings/admin', 'verb' => 'POST' , 'root' => ''],
		['name' => 'IntarsysSettings#setPersonalSettings', 'url' => '/settings/personal', 'verb' => 'POST'],
		['name' => 'IntarsysSettings#addSignatureProfile', 'url' => '/settings/add_signature_profile', 'verb' => 'POST'],
		['name' => 'IntarsysSettings#editSignatureProfile', 'url' => '/settings/edit_signature_profile', 'verb' => 'POST'],
		['name' => 'IntarsysSettings#deleteSignatureProfile', 'url' => '/settings/delete_signature_profile', 'verb' => 'POST'],
		['name' => 'IntarsysSettings#getSignatureProfileCount', 'url' => '/sign_document/get_signature_profile_count', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#getPublicSignatureProfiles', 'url' => '/sign_document/get_public_signature_profiles', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#getRestrictedSignatureProfiles', 'url' => '/sign_document/get_restricted_signature_profiles', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#getAllSignatureProfiles', 'url' => '/sign_document/get_all_signature_profiles', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#getSignatureProfilesForCurrentUser', 'url' => '/sign_document/get_signature_profiles_for_current_user', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#getAllNextcloudGroupNames', 'url' => '/sign_document/get_all_nextcloud_group_names', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#validateJSONSection', 'url' => '/settings/validate_json_section', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#resetProfileCreationFlag', 'url' => '/settings/reset_profile_creation_flag', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#profilesFactoryReset', 'url' => '/settings/profiles_factory_reset', 'verb' => 'POST', 'root' => ''],
		['name' => 'IntarsysSettings#checkInitialSignatureProfileSetup', 'url' => '/settings/check_initial_signature_profile_setup', 'verb' => 'POST', 'root' => ''],

		['name' => 'IntarsysJobSignature#signDocumentViaViewerJob', 'url' => '/sign_document/sign_document_with_viewer_job', 'verb' => 'POST' , 'root' => ''],
		['name' => 'IntarsysJobSignature#processViewerJobResponse', 'url' => '/sign_document/process_viewer_job_response', 'verb' => 'GET' , 'root' => ''],
		['name' => 'IntarsysJobSignature#signDocumentViaProfileJob', 'url' => '/sign_document/sign_document_with_profile_job', 'verb' => 'POST' , 'root' => ''],
		
		['name' => 'IntarsysJobSignature#getJobDefinitionEntries', 'url' => '/sign_document/get_job_definition_entries', 'verb' => 'POST' , 'root' => ''],
		['name' => 'IntarsysJobSignature#confirmSignatureNotification', 'url' => '/sign_document/confirm_notification', 'verb' => 'POST' , 'root' => ''],
		['name' => 'BugReport#submitBugReport', 'url' => '/submit_bug_report', 'verb' => 'POST' , 'root' => '']
	]
]);
