# Nextcloud App Sign Live! Users Guide - v.2022-01-29

## Overview
The Nextcloud App Sign Live! enhances Nextcloud's collaborative functions with the ability to sign and seal documents with different certificate stores and service providers. Your documents remain under your control.

## Configuration & Prerequisites

Some of the certificate service providers need additional information to create signatures resp. need to identify you. Edit your personal settings according to the device to be used:

![](pics/settings_personal.png)

### Swisscom AIS personal signature

If you are already using Swisscom AIS services, you will authorize the signature as usual but don't be suprised that you create only an advanced demo signature. This is due to the fact that the default configuration is connected to a Swisscom AIS demo instance. To change this contact your administrator.

If you use Swisscom AIS services for the first time, first install and initialize the Mobile ID app on your mobile and then perform the identification process (free of charge). Otherwise you would have to identify again.

In each case edit your personal settings. For the demo scenario you only need to enter the MSISDN of your mobile phone. For legally binding signatures you have to enter:
- ***Mobile phone number*** (MSISDN) (e.g. +49173...)
- ***Given names*** (all, as noted in your identifcation document)
- ***Last name*** (as noted in your identifcation document)
- ***Two-letter country code*** (e.g. de, ch - dependent on your identifcation document)

### D-Trust sign-me personal signature

Edit your personal settings. Enter a valid email address in ***Sign-me user name***. 

Using the intarsys demo scenario:
Requsting your first signature you will be automatically guided through a rudimentary identification prosess. Even if you are already sign-me customer! Reason is, that you are connected to a sign-me demo instance, which does not know you.

Using your company's productive scenario:
If you are already identified for sign-me, fine. You may sign.
If not you will be guided through an identification prosess after having requsting your first signature. The identification will be paid by the sign-me instance your are connected to.

### Local certificates

To access the "local" certificates available at your client, Sign Live! cloud suite bridge must be installed on your client (see [Nextcloud App Sign Live! Administrators Guide][2]
).

In case you see no or to many certificates in your certificate list contact your administrator to set an appropriate filter.


## Typical Tasks

The signing process is started by choosing the corresponding item in the file's context menu.

![](pics/sign.png)

### Sign 

In case of a signing **without** viewer no document viewer will appear. Dependend on the configuration different things may happen:

- The document will be signed without further interaction.
- You have to authorize the signature in a browser window or on your mobile.
- The bridge is started, you have to choose a certificate and evtl. to authorize the signature in a dialogue or on the card reader.

The result is a signed document stored under the same name. ***Modified*** has changed.

In case of problems, Nextcloud informs you via a notification.

Your document has never left your environment! Only the document's hash.

### View & Sign 

In case of a signing process **with** viewer the document viewer will appear.

![](pics/view.png)

Dependend on the configuration and the document you have the following choices:
- Click on a signature field to request a signature.
- Right-click on a signature field to choose between different signature options.
- Click on a toolbar icon for different signature options.
- Click on the pencil in the sidebar to show/actualize the validation result (preview).
- **Important!** Click on the **Exit** icon in the right corner of the toolbar to return the signed document to Nextcloud.

The result is a signed document stored under the same name. ***Modified*** has changed.

In case of problems you will be informed via a notification.

Your document has never left your environment! Only the document's hash. The viewer presents the document only as pictures.

---
## Contact
- [intarsys sales][4]
- [intarsys support][5] 

## Links

[1]: https://apps.nextcloud.com/ "Nextcloud App Store"
[2]: https://www.intarsys.de/node/1283/attachment "Nextcloud App Sign Live! Adminstrators Guide"
[3]: https://www.intarsys.de/node/1284/attachment "Nextcloud App Sign Live! Users Guide"
[4]: https://www.intarsys.de/contact/sales "intarsys sales"
[5]: https://www.intarsys.de/contact/support "intarsys support"
[6]: https://www.intarsys.de/versionshinweise "intarsys Sign Live! cloud suite gears"
[7]: https://www.intarsys.de/versionshinweise "intarsys Sign Live! cloud suite bridge"
[8]: https://cloudsuite.intarsys.de/cloudsuite-gears/core/doc/Sign%20Live%20cloud%20suite%20gears%20manual.pdf "intarsys Sign Live! cloud suite gears manual"
[9]: https://nextclouddemo.intarsys.de/ "intarsys Nextcloud demo instance"
[10]: https://cloudsuite.intarsys.de/cloudsuite-gears-nextcloud/core/ "intarsys gears demo instance"
[11]: https://www.intarsys.de/produkte/sign-live-cloud-suite-gears "intarsys Sign Live! cloud suite gears"

