if (!OCA.CloudsuiteGearsIntegration) {
	/**
	 * Namespace for the SignLive! app
	 * @namespace OCA.CloudsuiteGearsIntegration
	 */
		OCA.CloudsuiteGearsIntegration = {};
}

/**
 * @namespace OCA.CloudsuiteGearsIntegration.App
 */
OCA.CloudsuiteGearsIntegration.App = {
	initialize: function() {
		console.log('initialize called in OCA.CloudsuiteGearsIntegration.App');
		this.signatureRequestsManager = null; // new OCA.CloudsuiteGearsIntegration.SignatureRequestCheckerRunner();
		this.signatureNotificationChecker = null;
		this.kickoffSignatureNotificationChecker();
	},

	kickoffSignatureNotificationChecker: function() {
		console.debug('OCA.CloudsuiteGearsIntegration.App kickoffSignatureChecker()');
	
		this.signatureNotificationChecker = new OCA.CloudsuiteGearsIntegration.SignatureJobStatusNotifier();
		console.debug('Starting signature job status notification checking loop.');
		this.signatureNotificationChecker.checkSignatureJobsStatus();
	},

	kickoffSignatureChecker: function(conversation_id) {
		console.log('OCA.CloudsuiteGearsIntegration.App kickoffSignatureChecker(' + conversation_id + ')');
	}
};

window.addEventListener('DOMContentLoaded', function() {
	_.defer(function() {
		console.log('About to call OCA.CloudsuiteGearsIntegration.App.initialize() in DOMContentLoaded event...');
		OCA.CloudsuiteGearsIntegration.App.initialize();
		console.log('OCA.CloudsuiteGearsIntegration.App.initialize() has been called in DOMContentLoaded event.');
	});
});