<?php

declare(strict_types=1);

/**
* This file is licensed under the Affero General Public License version 3 or
* later. See the COPYING file.
*
* @author Fabian Aichele
* @copyright intarsys GmbH 2021
*/

namespace OCA\IntarsysCloudSuiteGearsIntegration\BackgroundJob;

use OCP\AppFramework\Utility\ITimeFactory;
use OCP\BackgroundJob\IJobList;
use OCP\BackgroundJob\QueuedJob;
use OCP\IUser;
use OCP\IUserManager;
use OCP\Util;
use OCP\ILogger;
use OCP\IConfig;

class SignatureJobDataCleanup extends QueuedJob {

	/** @var IUserManager */
	private $userManager;

	/** @var IJobList */
	private $jobList;

    	/** @var IConfig */
	private $config;

	public function __construct(ITimeFactory $timeFactory, IUserManager $userManager, IJobList $jobList, IConfig $config) {
		parent::__construct($timeFactory);
		$this->userManager = $userManager;
		$this->jobList = $jobList;
        $this->config = $config;
	}

	protected function run($argument) {
		\OCP\Util::writeLog('signlive', 'run() called in signlive/lib/BackgroundJob/SignatureJobDataCleanup.php. $argument = '.print_r($argument, TRUE), ILogger::DEBUG);
    }
}
