<?php

declare(strict_types=1);

/**
* This file is licensed under the Affero General Public License version 3 or
* later. See the COPYING file.
*
* @author Fabian Aichele <fabian.aichele@bpex.de>
* @copyright intarsys AG 2021
*/

namespace OCA\IntarsysCloudSuiteGearsIntegration\Listener;

use OCP\EventDispatcher\Event;
use OCP\EventDispatcher\IEventListener;
use OCP\Util;
use OCP\ILogger;
use OC\ServerContainer;

class BeforeTemplateRenderedListener implements IEventListener {
	public function handle(Event $event): void {
		$server = \OC::$server;
		$user_session = $server->getUserSession();
		if ($user_session !== null &&
			$user_session->isLoggedIn()) {
			Util::addScript('signlive', 'signature_request_checker');
			// Explicit inclusion of app.js required?
			Util::addScript('signlive', 'app');
			
			Util::addScript('signlive', 'file_actions_integration');
		}
	}
}
