<?php

/**
* This file is licensed under the Affero General Public License version 3 or
* later. See the COPYING file.
*
* @author Fabian Aichele <fabian.aichele@bpex.de>
* @copyright intarsys AG 2021
*/

script('signlive', 'admin_settings');
style('signlive', 'settings');
/** @var \OCP\IL10N $l */
/** @var array $_ */

$http_protocol_type = [
	'http',
	'https',
];

?>

<div class="section" id="cloudsuite_gears_general_settings">

	<form id="cloudsuite_gears_general_settings_form" class="cloudsuite_gears_settings">
		<h2><?php p($l->t('SignLive! backend server'));?></h2>
		<table class="grid cloudsuitegearssettings">
			<tr>
				<td><label for="cloudsuite_gears_host"><?php p($l->t('Server address')); ?></label></td>
				<td>
					<input type="text" name="cloudsuite_gears_http_protocol_type" id="cloudsuite_gears_http_protocol_type" placeholder="https"
					value="<?php p($_['cloudsuite_gears_http_protocol_type']) ?>" />
				://
					<input type="text" name="cloudsuite_gears_host" id="cloudsuite_gears_host" placeholder="cloudsuite.intarsys.de"
					value="<?php p($_['cloudsuite_gears_host']) ?>" />
				:
					<input type="text" name="cloudsuite_gears_port" id="cloudsuite_gears_port" placeholder="443"
					value="<?php p($_['cloudsuite_gears_port']) ?>" /></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_gears_core_path"><?php p($l->t('Server URI path to the CloudSuite Gears core on the Gears backend server')); ?></label>
				<td><input type="text" name="cloudsuite_gears_gears_core_path" id="cloudsuite_gears_gears_core_path" placeholder="/cloudsuite-gears/core"
					value="<?php p($_['cloudsuite_gears_gears_core_path']); ?>" /></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_show_default_signature_entries_in_context_menu"><?php p($l->t('Show default signature entries in context menu')); ?></label>
				<td colspan="2"><input id="cloudsuite_gears_show_default_signature_entries_in_context_menu" name="cloudsuite_gears_show_default_signature_entries_in_context_menu" type="checkbox" 
				<?php if ($_['cloudsuite_gears_show_default_signature_entries_in_context_menu'] == "true" || 
							intval($_['cloudsuite_gears_show_default_signature_entries_in_context_menu']) != 0 ) {
						print_unescaped('checked="checked"');
					} ?>/></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_display_menu_priorities"><?php p($l->t('Show menu priority values in web UI menu entries (debug)')); ?></label>
				<td colspan="2"><input id="cloudsuite_gears_display_menu_priorities" name="cloudsuite_gears_display_menu_priorities" type="checkbox" 
				<?php if ($_['cloudsuite_gears_display_menu_priorities'] == "true" || 
							intval($_['cloudsuite_gears_display_menu_priorities']) != 0 ) {
						print_unescaped('checked="checked"');
					} ?>/></td>
			</tr>
			<tr>
				<td>&nbsp;</td><td><span id="cloudsuite_gears_settings_notifications_msg" class="msg"></span></td>
			</tr>
		</table>

		<h2><?php p($l->t('Notification settings'));?></h2>
		<table class="grid cloudsuitegearssettings">
			<tr>
				<td><label for="cloudsuite_gears_notification_duration"><?php p($l->t('Number of seconds to show notifications for')); ?></label>
				<td><input type="text" name="cloudsuite_gears_notification_duration" id="cloudsuite_gears_notification_duration" placeholder="7"
					value="<?php p($_['cloudsuite_gears_notification_duration']); ?>" /></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_notification_check_interval"><?php p($l->t('Number of seconds to wait between checks for new notifications')); ?></label>
				<td><input type="text" name="cloudsuite_gears_notification_check_interval" id="cloudsuite_gears_notification_check_interval" placeholder="7"
					value="<?php p($_['cloudsuite_gears_notification_check_interval']); ?>" /></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_show_success_notifications"><?php p($l->t('Show notifications for successful signature requests')); ?></label>
				<td colspan="2"><input id="cloudsuite_gears_show_success_notifications" name="cloudsuite_gears_show_success_notifications" type="checkbox" 
				<?php if (array_key_exists('cloudsuite_gears_show_success_notifications', $_) && ($_['cloudsuite_gears_show_success_notifications'] == "true" || 
							intval($_['cloudsuite_gears_show_success_notifications']) != 0)) {
						print_unescaped('checked="checked"');
					} ?>/></td>
			</tr>
			<tr>
				<td><label for="cloudsuite_gears_show_verbose_failure_notifications"><?php p($l->t('Show persistent notifications for failed signature requests')); ?></label>
				<td colspan="2"><input id="cloudsuite_gears_show_verbose_failure_notifications" name="cloudsuite_gears_show_verbose_failure_notifications" type="checkbox" 
				<?php if (array_key_exists('cloudsuite_gears_show_verbose_failure_notifications', $_) && ($_['cloudsuite_gears_show_verbose_failure_notifications'] == "true" || 
							intval($_['cloudsuite_gears_show_verbose_failure_notifications']) != 0)) {
						print_unescaped('checked="checked"');
					} ?>/></td>
			</tr>
		</table>

		<h2><?php p($l->t('Global signature variables')); ?></h2>
		<table>
			<tr>
				<td><label for="<?php p('cloudsuite_gears_global_attribute_company_name') ?>"><?php p($l->t('Company name')); ?></label></td>
				<?php
					$user_attribute_company_name = '';
					if (empty($_['cloudsuite_gears_global_attribute_company_name']) || !isset($_['cloudsuite_gears_global_attribute_company_name'])) {
						$user_attribute_company_name = '';
					} else {
						$user_attribute_company_name = $_['cloudsuite_gears_global_attribute_company_name'];
					}
				?>
				<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_global_attribute_company_name'); ?>" id="<?php p('cloudsuite_gears_global_attribute_company_name'); ?>" value="<?php p($user_attribute_company_name); ?>"></td>
			</tr>
		</table>
	</form>

	<h2><?php p($l->t('SignLive! signature profile templates'));?></h2>
	<select name="profile_select" id="profile_select">
	</select>
	<button name="cloudsuite_gears_add_signature_profile_button" id="cloudsuite_gears_add_signature_profile_button"><?php p($l->t('Add new template')); ?></button>
	<button name="cloudsuite_gears_edit_signature_profile_button" id="cloudsuite_gears_edit_signature_profile_button"><?php p($l->t('Save changes')); ?></button>
	<button name="cloudsuite_gears_delete_signature_profile_button" id="cloudsuite_gears_delete_signature_profile_button"><?php p($l->t('Delete selected template')); ?></button>

	<table class="grid cloudsuitegearssettings">
		<tr>
			<td colspan="2"><span id="cloudsuite_gears_signature_profiles_notifications_msg" class="msg"></span></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_profile_name') ?>"><?php p($l->t('Profile name')); ?></label></td>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_profile_name'); ?>" id="<?php p('cloudsuite_gears_user_profile_name'); ?>" value=""></td>
		</tr>
		<tr>
			<td><label for="cloudsuite_gears_signature_default_profile"><?php p($l->t('Profile is visible for all Nextcloud users')); ?></label></td>
			<td><input name="<?php p('cloudsuite_gears_signature_default_profile'); ?>" id="<?php p('cloudsuite_gears_signature_default_profile'); ?>" type="checkbox"/></td>
		</tr>
		<tr>
			<td><label for="cloudsuite_gears_signature_profile_menu_priority"><?php p($l->t('Priority for positioning of this signature profile entry in the web UI menus')); ?></label>
				<td colspan="2">
					<input type="number" name="cloudsuite_gears_signature_profile_menu_priority" id="cloudsuite_gears_signature_profile_menu_priority" min="-100" max="100" step="1" value="75"/>
				</td>
			</tr>
		<tr>
			<td><label name="cloudsuite_gears_signature_nextcloud_groups_label" id="cloudsuite_gears_signature_nextcloud_groups_label" for="cloudsuite_gears_signature_nextcloud_groups"><?php p($l->t('Nextcloud user groups this profile is visible for')); ?></label></td>
			<td>
				<table>
					<tr>
						<td>
							<select name="cloudsuite_gears_signature_profile_nextcloud_groups" id="cloudsuite_gears_signature_profile_nextcloud_groups" size=5 multiple>
							</select>
						</td>
						<td>
							<select name="cloudsuite_gears_signature_all_nextcloud_groups" id="cloudsuite_gears_signature_all_nextcloud_groups" size=5 multiple>
							</select>
						</td>							
					</tr>
					<tr>
						<td><input type="button" name="cloudsuite_gears_signature_remove_groups" id="cloudsuite_gears_signature_remove_groups" value="<?php p($l->t('Remove selected groups')); ?>" style="height:3%;width:180px"></td>
						<td><input type="button" name="cloudsuite_gears_signature_add_groups" id="cloudsuite_gears_signature_add_groups" value="<?php p($l->t('Add selected groups')); ?>" style="height:3%;width:180px"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_profile_type') ?>"><?php p($l->t('Profile type')); ?></label></td>
			<td>
				<select class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_profile_type'); ?>" id="<?php p('cloudsuite_gears_user_profile_type'); ?>">
					<option value="viewer_based_signature" selected>Viewer</option>	
					<option value="automatic_signature">Signer</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label name="<?php p('cloudsuite_gears_signature_profile_json_label'); ?>" id="<?php p('cloudsuite_gears_signature_profile_json_label'); ?>" for="<?php p('cloudsuite_gears_signature_profile_json') ?>"><?php p($l->t('JSON section')); ?></label>
				<img src="<?php print_unescaped(image_path('', 'actions/info.svg')); ?>" name="<?php p('cloudsuite_gears_json_section_help'); ?>" id="<?php p('cloudsuite_gears_json_section_help'); ?>" style="height:1.75ex" />
			</td>
			<td><textarea class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_signature_profile_json') ?>" id="<?php p('cloudsuite_gears_signature_profile_json')?>"></textarea>
				<div id="json_placeholder_variables_help">
					<p><?php p($l->t('Variable substitution is supported in the JSON section using the syntax')); ?>: ${&lt;variable_name&gt;}. Variable placeholders an empty or unset value are removed.</p>
					<p><?php p($l->t('The following substitions are valid')); ?>:</p>
					<table>
					<tr>
						<tr><td>sl.system.redirect_url</td><td><?php p($l->t('URL used by the SignLive! backend server to redirect back to Nextcloud (reserved app value)')); ?></td></tr>
						<tr><td>sl.system.documents_section</td><td><?php p($l->t('Placeholder for PDF document to sign (reserved app value)')); ?></td></tr>
						<tr><td>nc.displayname</td><td><?php p($l->t('Nextcloud user name')); ?></td></tr>
						<tr><td>nc.email</td><td><?php p($l->t('Nextcloud user\'s mail address')); ?></td></tr>
						<tr><td>nc.phonenumber</td><td><?php p($l->t('Nextcloud user\'s phone number')); ?></td></tr>
						<tr><td>nc.address</td><td><?php p($l->t('Nextcloud user\'s postal address')); ?></td></tr>
						<tr><td>nc.website</td><td><?php p($l->t('Nextcloud user\'s web address')); ?></td></tr>
						<tr><td>sl.givenname</td><td><?php p($l->t('Given name(s) as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.surname</td><td><?php p($l->t('Surname(s) as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.title</td><td><?php p($l->t('Title as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.msisdn</td><td><?php p($l->t('Mobile phone number as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.companyname</td><td><?php p($l->t('Company name as specified in SignLive! settings')); ?></td></tr>
						<tr><td>sl.companydivision</td><td><?php p($l->t('Company division as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.signmeusername</td><td><?php p($l->t('Sign Me user name as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.encodedsignatureimage</td><td><?php p($l->t('Base64-encoded PNG signature image as specified in personal SignLive! settings')); ?></td></tr>
						<tr><td>sl.country</td><td><?php p($l->t('Two-letter country code as specified in personal SignLive! settings')); ?></td></tr>
					</table>
				</div>
			</td>
		</tr>
		<tr>
			<td>
				<label for="cloudsuite_gears_signature_profile_factory_reset"><?php p($l->t('Delete customized signature profiles and restore default signature profiles')); ?></label>
				<p><?php p($l->t('Please note: This will only reset your signature profile settings. Other SignLive! settings will remain unchanged.')); ?></p>
			</td>
			<td>
				<input type="button" name="cloudsuite_gears_signature_profile_factory_reset" id="cloudsuite_gears_signature_profile_factory_reset" value="<?php p($l->t('Delete customized signature profiles and restore default signature profiles')); ?>" style="height:3%;width:400px/>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td><td><span id="cloudsuite_gears_json_validation_msg" class="msg"></span></td>
		</tr>
	</table>
</div>
