<?php

/**
* This file is licensed under the Affero General Public License version 3 or
* later. See the COPYING file.
*
* @author Fabian Aichele <fabian.aichele@bpex.de>
* @copyright intarsys AG 2021
*/

script('signlive', 'personal_settings');
style('signlive', 'settings');

?>

<form id="signlive_personal_settings" class="section">	
<h2><?php p($l->t('SignLive! personal settings'));?></h2>
	<table class="grid cloudsuitegearssettings">
		<tr>
			<td>&nbsp;</td><td><span id="cloudsuite_gears_personal_settings_notifications_msg" class="msg"></span></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_title') ?>"><?php p($l->t('Salutation')); ?></label></td>
			<?php
				$user_attribute_title = '';
				if (empty($_['cloudsuite_gears_user_attribute_title']) || !isset($_['cloudsuite_gears_user_attribute_title'])) {
					$user_attribute_title = '';
				} else {
					$user_attribute_title = $_['cloudsuite_gears_user_attribute_title'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_title'); ?>" id="<?php p('cloudsuite_gears_user_attribute_title'); ?>" value="<?php p($user_attribute_title); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_given_names') ?>"><?php p($l->t('Given name(s)')); ?></label></td>
			<?php
				$user_attribute_given_names = '';
				if (empty($_['cloudsuite_gears_user_attribute_given_names']) || !isset($_['cloudsuite_gears_user_attribute_given_names'])) {
					$user_attribute_given_names = '';
				} else {
					$user_attribute_given_names = $_['cloudsuite_gears_user_attribute_given_names'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_given_names'); ?>" id="<?php p('cloudsuite_gears_user_attribute_given_names'); ?>" value="<?php p($user_attribute_given_names); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_surname') ?>"><?php p($l->t('Last name(s)')); ?></label></td>
			<?php
				$user_attribute_surname = '';
				if (empty($_['cloudsuite_gears_user_attribute_surname']) || !isset($_['cloudsuite_gears_user_attribute_surname'])) {
					$user_attribute_surname = '';
				} else {
					$user_attribute_surname = $_['cloudsuite_gears_user_attribute_surname'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_surname'); ?>" id="<?php p('cloudsuite_gears_user_attribute_surname'); ?>" value="<?php p($user_attribute_surname); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_msisdn') ?>"><?php p($l->t('Mobile phone number')); ?></label></td>
			<?php
				$user_attribute_msisdn = '';
				if (empty($_['cloudsuite_gears_user_attribute_msisdn']) || !isset($_['cloudsuite_gears_user_attribute_msisdn'])) {
					$user_attribute_msisdn = '';
				} else {
					$user_attribute_msisdn = $_['cloudsuite_gears_user_attribute_msisdn'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_msisdn'); ?>" id="<?php p('cloudsuite_gears_user_attribute_msisdn'); ?>" value="<?php p($user_attribute_msisdn); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_country') ?>"><?php p($l->t('Two-letter country code')); ?></label></td>
			<?php
				$user_attribute_country = '';
				if (empty($_['cloudsuite_gears_user_attribute_country']) || !isset($_['cloudsuite_gears_user_attribute_country'])) {
					$user_attribute_country = 'de';
				} else {
					$user_attribute_country = $_['cloudsuite_gears_user_attribute_country'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_country'); ?>" id="<?php p('cloudsuite_gears_user_attribute_country'); ?>" value="<?php p($user_attribute_country); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_signme_user_name') ?>"><?php p($l->t('SignMe user name')); ?></label></td>
			<?php
				$user_attribute_signme_user_name = '';
				if (empty($_['cloudsuite_gears_user_attribute_signme_user_name']) || !isset($_['cloudsuite_gears_user_attribute_signme_user_name'])) {
					$user_attribute_signme_user_name = '';
				} else {
					$user_attribute_signme_user_name = $_['cloudsuite_gears_user_attribute_signme_user_name'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_signme_user_name'); ?>" id="<?php p('cloudsuite_gears_user_attribute_signme_user_name'); ?>" value="<?php p($user_attribute_signme_user_name); ?>"></td>
		</tr>
		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_encoded_signature_image') ?>"><?php p($l->t('Signature image')); ?></label></td>
			<?php
				$user_attribute_encoded_signature_image = '';
				if (empty($_['cloudsuite_gears_user_attribute_encoded_signature_image']) || !isset($_['cloudsuite_gears_user_attribute_encoded_signature_image'])) {
					$user_attribute_encoded_signature_image = '';
				} else {
					$user_attribute_encoded_signature_image = $_['cloudsuite_gears_user_attribute_encoded_signature_image'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_encoded_signature_image'); ?>" id="<?php p('cloudsuite_gears_user_attribute_encoded_signature_image'); ?>" value="<?php p($user_attribute_encoded_signature_image); ?>"></td>
		</tr>

		<tr>
			<td><label for="<?php p('cloudsuite_gears_user_attribute_company_division') ?>"><?php p($l->t('Company division')); ?></label></td>
			<?php
				$user_attribute_company_division = '';
				if (empty($_['cloudsuite_gears_user_attribute_company_division']) || !isset($_['cloudsuite_gears_user_attribute_company_division'])) {
					$user_attribute_company_division = '';
				} else {
					$user_attribute_company_division = $_['cloudsuite_gears_user_attribute_company_division'];
				}
			?>
			<td><input type="text" class="cloudsuitegearssettings" name="<?php p('cloudsuite_gears_user_attribute_company_division'); ?>" id="<?php p('cloudsuite_gears_user_attribute_company_division'); ?>" value="<?php p($user_attribute_company_division); ?>"></td>
		</tr>
	</table>
</form>
